﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.17929
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace GatewayService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://webservice.ics.toyota.co.id/", ConfigurationName="GatewayService.WebServiceImpl")]
    public interface WebServiceImpl {
        
        // CODEGEN: Generating message contract since element name arg0 from namespace  is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://webservice.ics.toyota.co.id/WebServiceImpl/executeRequest", ReplyAction="http://webservice.ics.toyota.co.id/WebServiceImpl/executeResponse")]
        GatewayService.executeResponse execute(GatewayService.executeRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class executeRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="execute", Namespace="http://webservice.ics.toyota.co.id/", Order=0)]
        public GatewayService.executeRequestBody Body;
        
        public executeRequest() {
        }
        
        public executeRequest(GatewayService.executeRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class executeRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string arg0;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string arg1;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=2)]
        public string arg2;
        
        public executeRequestBody() {
        }
        
        public executeRequestBody(string arg0, string arg1, string arg2) {
            this.arg0 = arg0;
            this.arg1 = arg1;
            this.arg2 = arg2;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class executeResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="executeResponse", Namespace="http://webservice.ics.toyota.co.id/", Order=0)]
        public GatewayService.executeResponseBody Body;
        
        public executeResponse() {
        }
        
        public executeResponse(GatewayService.executeResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="")]
    public partial class executeResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string @return;
        
        public executeResponseBody() {
        }
        
        public executeResponseBody(string @return) {
            this.@return = @return;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface WebServiceImplChannel : GatewayService.WebServiceImpl, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class WebServiceImplClient : System.ServiceModel.ClientBase<GatewayService.WebServiceImpl>, GatewayService.WebServiceImpl {
        
        public WebServiceImplClient() {
        }
        
        public WebServiceImplClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public WebServiceImplClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public WebServiceImplClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public WebServiceImplClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        GatewayService.executeResponse GatewayService.WebServiceImpl.execute(GatewayService.executeRequest request) {
            return base.Channel.execute(request);
        }
        
        public string execute(string arg0, string arg1, string arg2) {
            GatewayService.executeRequest inValue = new GatewayService.executeRequest();
            inValue.Body = new GatewayService.executeRequestBody();
            inValue.Body.arg0 = arg0;
            inValue.Body.arg1 = arg1;
            inValue.Body.arg2 = arg2;
            GatewayService.executeResponse retVal = ((GatewayService.WebServiceImpl)(this)).execute(inValue);
            return retVal.Body.@return;
        }
    }
}
